Get all contacts
get
/fscmRestApi/resources/11.13.18.05/suppliers/{SupplierId}/child/contacts
Request
Path Parameters
-
SupplierId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds supplier contacts based on the primary key.
Finder Variables- PersonProfileId; integer; Value that uniquely identifies the person profile.
- SupplierContactId; integer; Value that uniquely identifies the supplier contact.
- PrimaryKeyFinder Finds supplier contacts based on the primary key.
Finder Variables- SupplierContactId; integer; Value that uniquely identifies the supplier contact.
- PrimaryKey Finds supplier contacts based on the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AdministrativeContactFlag; boolean; Contains one of the following values: true or false. If true, then the supplier is an administrative contact. If false, then the supplier isn't an administrative contact.The default value is false.
- ContactName; string; Display name of the supplier contact.
- Email; string; Email of the supplier contact.
- FaxAreaCode; string; Abbreviation that identifies the area for the fax number of the supplier contact.
- FaxCountryCode; string; Abbreviation that identifies the country for the fax number of the supplier contact.
- FaxNumber; string; Fax number of the supplier contact.
- FirstName; string; First name of the supplier contact.
- JobTitle; string; Job title of the supplier contact.
- LastName; string; Last name of the supplier contact.
- MiddleName; string; Middle name of the supplier contact.
- MobileAreaCode; string; Abbreviation that identifies the area for the mobile phone number of the supplier contact.
- MobileCountryCode; string; Abbreviation that identifies the country for the mobile phone number of the supplier contact.
- MobileNumber; string; Mobile phone number of the supplier contact.
- PersonProfileId; integer; The unique identifier of the person profile.
- PhoneAreaCode; string; Abbreviation that identifies the area for the landline phone number of the supplier contact.
- PhoneCountryCode; string; Abbreviation that identifies the country for the landline phone number of the supplier contact.
- PhoneExtension; string; Landline phone extension for the supplier contact.
- PhoneNumber; string; Landline phone number for the supplier contact.
- Salutation; string; Honorific title of the supplier contact.
- SalutationCode; string; Abbreviation that identifies the honorific title of the supplier contact. A list of accepted values is defined in the lookup type CONTACT_TITLE. Review and update the value for this attribute using the Setup and Maintenance work area, and the Manage Standard Lookups task.
- SupplierContactId; integer; Value that uniquely identifies the supplier contact.
- UserAccountStatus; string; Status of the supplier user account. Values are ACTIVE, INACTIVE, or PROCESSING.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : suppliers-contacts
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : suppliers-contacts-item-response
Type:
Show Source
object-
addresses: array
Contact Addresses
Title:
Contact AddressesSupplier contact addresses are retrieved. -
AdministrativeContactFlag: boolean
Title:
Administrative ContactMaximum Length:255Contains one of the following values: true or false. If true, then the supplier is an administrative contact. If false, then the supplier isn't an administrative contact.The default value is false. -
ContactName: string
Read Only:
trueMaximum Length:255Display name of the supplier contact. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the supplier contact. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the application created the supplier contact. -
dataaccess: array
Data Access
Title:
Data AccessData access of supplier contacts. -
DataAccessLevel: string
Title:
Data Access LevelRead Only:trueMaximum Length:30Data access level for the supplier contact. Access can be at the supplier level or at the selected sites level. -
DFF: array
DFF
-
Email: string
Title:
EmailMaximum Length:320Email of the supplier contact. -
FaxAreaCode: string
Title:
Fax Area CodeMaximum Length:20Abbreviation that identifies the area for the fax number of the supplier contact. -
FaxCountryCode: string
Title:
Fax Country CodeMaximum Length:10Abbreviation that identifies the country for the fax number of the supplier contact. -
FaxNumber: string
Title:
FaxMaximum Length:40Fax number of the supplier contact. -
FirstName: string
Title:
First NameMaximum Length:150First name of the supplier contact. -
InactiveDate: string
(date)
Title:
Inactive DateDate when the supplier contact is no longer active. -
JobTitle: string
Title:
Job TitleMaximum Length:100Job title of the supplier contact. -
LastName: string
Title:
Last NameMaximum Length:150Last name of the supplier contact. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueDate when the supplier contact row was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the supplier contact row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MiddleName: string
Title:
Middle NameMaximum Length:60Middle name of the supplier contact. -
MobileAreaCode: string
Title:
Mobile Area CodeMaximum Length:20Abbreviation that identifies the area for the mobile phone number of the supplier contact. -
MobileCountryCode: string
Title:
Mobile Country CodeMaximum Length:10Abbreviation that identifies the country for the mobile phone number of the supplier contact. -
MobileNumber: string
Title:
MobileMaximum Length:40Mobile phone number of the supplier contact. -
PersonProfileId: integer
(int64)
The unique identifier of the person profile.
-
PhoneAreaCode: string
Title:
Phone Area CodeMaximum Length:20Abbreviation that identifies the area for the landline phone number of the supplier contact. -
PhoneCountryCode: string
Title:
Phone Country CodeMaximum Length:10Abbreviation that identifies the country for the landline phone number of the supplier contact. -
PhoneExtension: string
Title:
Phone ExtensionMaximum Length:20Landline phone extension for the supplier contact. -
PhoneNumber: string
Title:
PhoneMaximum Length:40Landline phone number for the supplier contact. -
roles: array
Roles
Title:
RolesSupplier contact user roles are retrieved. -
Salutation: string
Title:
SalutationMaximum Length:80Honorific title of the supplier contact. -
SalutationCode: string
Title:
SalutationMaximum Length:30Abbreviation that identifies the honorific title of the supplier contact. A list of accepted values is defined in the lookup type CONTACT_TITLE. Review and update the value for this attribute using the Setup and Maintenance work area, and the Manage Standard Lookups task. -
Status: string
Title:
StatusRead Only:trueMaximum Length:255Status of the supplier contact. Values are ACTIVE or INACTIVE. -
SupplierContactId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier contact. -
UserAccountStatus: string
Title:
User Account StatusRead Only:trueMaximum Length:255Status of the supplier user account. Values are ACTIVE, INACTIVE, or PROCESSING. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255User name of the user account for a supplier contact.
Nested Schema : Contact Addresses
Type:
arrayTitle:
Contact AddressesSupplier contact addresses are retrieved.
Show Source
Nested Schema : Data Access
Type:
arrayTitle:
Data AccessData access of supplier contacts.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Roles
Type:
arrayTitle:
RolesSupplier contact user roles are retrieved.
Show Source
Nested Schema : suppliers-contacts-addresses-item-response
Type:
Show Source
object-
AddressName: string
Title:
Address NameMaximum Length:255Name of the supplier address associated with a supplier contact. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who associated the supplier address with a supplier contact. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the application associated the supplier address with a supplier contact. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueDate when the supplier address and supplier contact association row was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the supplier address and supplier contact association row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SupplierAddressId: integer
(int64)
Value that uniquely identifies the supplier address associated to a supplier contact.
-
SupplierContactAddressId: integer
Value that uniquely identifies the supplier address and supplier contact association.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : suppliers-contacts-dataaccess-item-response
Type:
Show Source
object-
AccessCode: string
Read Only:
trueMaximum Length:30Abbreviation that identifies the data access of the supplier user. -
AccessValue: integer
(int64)
Read Only:
trueData access value of the supplier. -
Address: string
Title:
Address NameRead Only:trueMaximum Length:4000Name of the supplier site address. -
BUId: number
Title:
Procurement BURead Only:trueUnique identifier for the procurement BU of the site to which the supplier user has data access. -
BUName: string
Title:
Procurement BURead Only:trueMaximum Length:240Procurement BU of the site to which the supplier user has data access. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParentSupplier: string
Title:
Parent SupplierRead Only:trueMaximum Length:360Parent supplier of the supplier to which the supplier user has data access. -
ParentSupplierId: number
Title:
Parent SupplierRead Only:trueUnique identifier for the parent supplier of the supplier to which the supplier user has data access. -
Supplier: string
Title:
SupplierRead Only:trueMaximum Length:360Name of the supplier for which the supplier has data access to. -
SupplierContactId: integer
(int64)
Read Only:
trueUnique identifier for the supplier contact for whom data access is being provisioned or updated. -
SupplierId: integer
(int64)
Title:
SupplierRead Only:trueUnique identifier for the supplier to which the supplier user has data access. -
SupplierSite: string
Title:
Supplier SiteRead Only:trueMaximum Length:240Supplier site to which the supplier user has data access. -
SupplierSiteId: number
Title:
Supplier SiteRead Only:trueUnique identifier for the supplier site to which the supplier user has data access.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : suppliers-contacts-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Enter Person InformationMaximum Length:30Enter Person Information -
__FLEX_Context_DisplayValue: string
Title:
Enter Person InformationEnter Person Information -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PersonProfileId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : suppliers-contacts-roles-item-response
Type:
Show Source
object-
Description: string
Title:
DescriptionMaximum Length:240Description of the role that the supplier contact has access to. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RoleId: integer
(int64)
Title:
RoleValue that uniquely identifies the role for which the supplier contact has access. -
RoleName: string
Title:
RoleMaximum Length:240Name of the role that the supplier contact has access to.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Examples
This example describes how to get all contacts.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/suppliers/SupplierId/child/contacts"
Example Response Body
The following shows an example of the response body in JSON format.
{
"items" : [ {
"SupplierContactId" : 100000011547058,
"PersonProfileId" : 100000011547059,
"SalutationCode" : null,
"Salutation" : null,
"FirstName" : "Henry",
"MiddleName" : null,
"LastName" : "Jones",
"JobTitle" : null,
"AdministrativeContactFlag" : true,
"PhoneCountryCode" : null,
"PhoneAreaCode" : null,
"PhoneNumber" : null,
"PhoneExtension" : null,
"MobileCountryCode" : null,
"MobileAreaCode" : null,
"MobileNumber" : null,
"FaxCountryCode" : null,
"FaxAreaCode" : null,
"FaxNumber" : null,
"Email" : "sendmail-test-discard@example.com",
"Status" : "ACTIVE",
"InactiveDate" : null
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011547058",
"name" : "contacts",
"kind" : "item",
"properties" : {
"changeIndicator" : "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000067704000000067372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000371007E000371007E000371007E000371007E000378"
}
}, {
"rel" : "canonical",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011547058",
"name" : "contacts",
"kind" : "item"
}, {
"rel" : "parent",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230",
"name" : "suppliers",
"kind" : "item"
}, {
"rel" : "lov",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011547058/lov/SalutationLookup",
"name" : "SalutationLookup",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011547058/child/DFF",
"name" : "DFF",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011547058/child/addresses",
"name" : "addresses",
"kind" : "collection"
} ]
}, {
"SupplierContactId" : 100000011552266,
"PersonProfileId" : 100000011552267,
"SalutationCode" : null,
"Salutation" : null,
"FirstName" : "Emily",
"MiddleName" : null,
"LastName" : "Jones",
"JobTitle" : null,
"AdministrativeContactFlag" : true,
"PhoneCountryCode" : null,
"PhoneAreaCode" : null,
"PhoneNumber" : null,
"PhoneExtension" : null,
"MobileCountryCode" : null,
"MobileAreaCode" : null,
"MobileNumber" : null,
"FaxCountryCode" : null,
"FaxAreaCode" : null,
"FaxNumber" : null,
"Email" : "sendmail-test-discard@example.com",
"Status" : "ACTIVE",
"InactiveDate" : null
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011552266",
"name" : "contacts",
"kind" : "item",
"properties" : {
"changeIndicator" : "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000067704000000067372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000371007E000371007E000371007E000371007E000378"
}
}, {
"rel" : "canonical",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011552266",
"name" : "contacts",
"kind" : "item"
}, {
"rel" : "parent",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230",
"name" : "suppliers",
"kind" : "item"
}, {
"rel" : "lov",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011552266/lov/SalutationLookup",
"name" : "SalutationLookup",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011552266/child/DFF",
"name" : "DFF",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts/100000011552266/child/addresses",
"name" : "addresses",
"kind" : "collection"
} ]
} ],
"count" : 2,
"hasMore" : false,
"limit" : 25,
"offset" : 0,
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/230/child/contacts",
"name" : "contacts",
"kind" : "collection"
} ]
}